/*
 * leddrv.h
 *
 * Created: 28.04.2020 22:22:43
 *  Author: Chris
 */ 


#ifndef LEDDRV_H_
#define LEDDRV_H_

#include <stdbool.h>

#define LEDDRV_CHANNELS   8
#define LEDDRV_STATES_CNT 8
#define LEDDRV_PORT PORTA
#define LEDDRV_PORTMASK 0xFF

uint8_t leddrv_brightness[LEDDRV_CHANNELS];
uint8_t leddrv_states[LEDDRV_STATES_CNT];

extern uint8_t leddrv_pos;

void leddrv_init();
bool leddrv_poll();
void leddrv_set(uint8_t led, uint8_t brightness);

uint8_t leddrv_get(uint8_t led);
#endif /* LEDDRV_H_ */
